#!/bin/bash

pwd=$(pwd)

siftapath=${pwd}/SIFTA/sifta

cd SIFTA
git checkout origin/accuracy
cd ..

if [ -d "DroidBench" ]; then
	cd DroidBench
	git checkout origin/iccta
	cd ..
else
	git clone https://github.com/secure-software-engineering/DroidBench.git
	cd DroidBench
	git checkout origin/iccta
	cd ..
fi

for testdir in DroidBench/apk/Inter*/ ; do
	echo $testdir
	cd ${pwd}/$testdir
	mkdir SIFTA-out
	cd SIFTA-out
	time ${siftapath}/scripts/run-sifta.sh . ../*.apk &> SIFTA_log.txt
	time python ${siftapath}/scripts/graph-queryer.py
	cd ${pwd}
done


